package com.ruoyi.app.service.impl;

import com.ruoyi.app.domain.Plc;
import com.ruoyi.app.mapper.PlcMapper;
import com.ruoyi.app.service.IPlcService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * plc管理Service业务层处理
 *
 * @author tony.wu
 * @date 2023-12-07
 */
@Service
public class PlcServiceImpl implements IPlcService
{
    @Autowired
    private PlcMapper plcMapper;



    /**
     * 查询plc管理列表
     *
     * @param plc plc管理
     * @return plc管理
     */
    @Override
    public List<Plc> selectPlcList()
    {
        return plcMapper.selectPlcList();
    }

    /**
     * 新增plc管理
     *
     * @param plc plc管理
     * @return 结果
     */
    @Override
    public int insertPlc(Plc plc)
    {
        return plcMapper.insertPlc(plc);
    }

    /**
     * 修改plc管理
     *
     * @param plc plc管理
     * @return 结果
     */
    @Override
    public int updatePlc(Plc plc)
    {
        return plcMapper.updatePlc(plc);
    }

    /**
     * 批量删除plc管理
     *
     * @param plcids 需要删除的plc管理主键
     * @return 结果
     */
    @Override
    public int deletePlcByPlcids(Integer[] plcids)
    {
        return plcMapper.deletePlcByPlcids(plcids);
    }

    /**
     * 删除plc管理信息
     *
     * @param plcid plc管理主键
     * @return 结果
     */
    @Override
    public int deletePlcByPlcid(Integer plcid)
    {
        return plcMapper.deletePlcByPlcid(plcid);
    }
}
